package com.yidianling.consultant

import android.widget.ImageView
import com.ydl.ydl_image.config.SimpleImageOpConfiger
import com.ydl.ydlcommon.mvp.base.IView
import com.yidianling.consultant.bean.FunctionWordConsultBean
import com.yidianling.consultant.model.bean.*

/**
 * Created by zqk on 17-9-19.
 */
interface IExpertSearchView : IView {
    fun showRefreshLayout()

    fun localData()

    fun onHeadFetched(headData: HeadData?)
    fun onFunctionWordFetched(wordBean: MutableList<FunctionWordBean>)
    fun onDoctorListFetched(data: MutableList<ExpertServiceItem>, extras: Extras?, curPage: Int)
    fun fetchFailed(msg: String?)
    fun fetchListFailed(msg: String?)
    fun fetchListEmpty(msg: String?)
    /**
     * 加载图片
     */
    fun showImage(url : String?, imgView : ImageView, width : Int, heigh : Int, ops : SimpleImageOpConfiger)

    /**
     * 加载图片
     */
    fun showImage(url : String?, imgView : ImageView)

    /**
     * 加载图片
     */
    fun showImage(url : String?, imgView : ImageView, ops : SimpleImageOpConfiger)

    fun showPromptPayment(promptPaymentBean: PromptPaymentBean)

}